Package picard.illumina.parser

## Class ReadData

- java.lang.Object
- - picard.illumina.parser.ReadData

-     public class ReadData
      extends Object

  Data for a single end of a paired-end read, a barcode read, or for the entire read if not paired end.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadData()` |
    `ReadData​(ReadType readType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getBases()` |
    `FourChannelIntensityData` | `getNoise()` |
    `byte[]` | `getQualities()` |
    `FourChannelIntensityData` | `getRawIntensities()` |
    `ReadType` | `getReadType()` |
    `void` | `setBases​(byte[] bases)` |
    `void` | `setNoise​(FourChannelIntensityData noise)` |
    `void` | `setQualities​(byte[] qualities)` |
    `void` | `setRawIntensities​(FourChannelIntensityData rawIntensities)` |
    `void` | `setReadType​(ReadType readType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadData

          public ReadData()

    - #### ReadData

          public ReadData​(ReadType readType)

  - ### Method Detail

    - #### getBases

          public byte[] getBases()

      Returns:
        ASCII byte representation of bases.

    - #### setBases

          public void setBases​(byte[] bases)

    - #### getNoise

          public FourChannelIntensityData getNoise()

      Returns:
        Noise values as produced by Illumina software, converted to shorts.

    - #### setNoise

          public void setNoise​(FourChannelIntensityData noise)

    - #### getQualities

          public byte[] getQualities()

      Returns:
        Phred-binary scaled qualities. E.g. Q20 is the byte with value==20.

    - #### setQualities

          public void setQualities​(byte[] qualities)

    - #### getRawIntensities

          public FourChannelIntensityData getRawIntensities()

      Returns:
        Raw intensity values as produced by Illumina software, converted to shorts.

    - #### setRawIntensities

          public void setRawIntensities​(FourChannelIntensityData rawIntensities)

    - #### getReadType

          public ReadType getReadType()

    - #### setReadType

          public void setReadType​(ReadType readType)